Loading...
Searching...
No Matches
BALL::VIEW::OpenSavePreferences Class Reference

`#include <BALL/VIEW/DIALOGS/openSavePreferences.h>`

Inheritance diagram for BALL::VIEW::OpenSavePreferences:

## Public Member Functions

| OpenSavePreferences (QWidget *parent=0, const char *name="Open/Save Preferences", Qt::WindowFlags fl=0)
| ~OpenSavePreferences () override
void | restoreDefaultValues (bool all=false) override
| Set all registered objects to their default values.
void | restoreValues (bool all=false) override
void | storeValues () override
bool | binaryProjectsEnabled ()
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Definition at line 16 of file openSavePreferences.h.

## Constructor & Destructor Documentation

## OpenSavePreferences()

BALL::VIEW::OpenSavePreferences::OpenSavePreferences | ( | QWidget * | parent = 0,
|  | const char * | name = "Open/Save Preferences",
|  | Qt::WindowFlags | fl = 0 )

## ~OpenSavePreferences()

BALL::VIEW::OpenSavePreferences::~OpenSavePreferences | ( |  | ) |

override

## Member Function Documentation

## binaryProjectsEnabled()

bool BALL::VIEW::OpenSavePreferences::binaryProjectsEnabled | ( |  | ) |

## restoreDefaultValues()

void BALL::VIEW::OpenSavePreferences::restoreDefaultValues | ( | bool | all = false | ) |

override virtual

Set all registered objects to their default values.

Reimplemented from BALL::VIEW::PreferencesEntry.

## restoreValues()

void BALL::VIEW::OpenSavePreferences::restoreValues | ( | bool | all = false | ) |

override virtual

Restore the values of the child widgets. Called e.g. when a user presses a Cancel button.

Reimplemented from BALL::VIEW::PreferencesEntry.

## storeValues()

void BALL::VIEW::OpenSavePreferences::storeValues | ( |  | ) |

override virtual

Store the values for later restoration by the restoreValues method. Called e.g. by the Preferences dialog apply button.

Reimplemented from BALL::VIEW::PreferencesEntry.